Subject: Re: I want "fast forward my workdir to upstream if it's safe"

From: Miles Bader <[email-masked]>
Date: Sat, 09 May 2009 06:34:55 +0900

Eyvind Bernhardsen <[email-masked]> writes:
> I read it as a request for pull/merge --ff-only (based on "abort if the
> workdir is dirty or is not a fast-forward update").  This feature  has
> been implemented twice, but never included:

I'd also like such a feature.

[It seems like such an obvious partner to "--no-ff" (etc), that it's
kind of surprising it isn't there already -- I think there have been
multiple times in the past where I've spent time grovelling the
pull/merge documentation looking for the right option name to do this,
only to give up in confusion when I couldn't find it...]

-Miles

-- 
Love is the difficult realization that something other than oneself is real.
[Iris Murdoch]